

library(lubridate)
ob <- expTAS

ob2 <- .cst_set_floor_date(ob, 'monthly')

.cst_set_floor_date <- function(object, frequency) {  
  dates <- object$attrs$Dates
  object$attrs$Dates <- floor_date(ymd_hms(dates), unit = frequency)
  dim(object$attrs$Dates) <- dim(dates)
  return(object)
}


# Compare 's2dv_cube'

.compare_object <- function(x, y) {

  # dims
  # intersect(x$dims, y$dims)
  print(x$dims)
  print(y$dims)

  # data
  print(summary(x$data))
  print(summary(y$data))
  # coords
  for (i_coord in 1:length(x$coords)) {
    print(paste0("Coord ", names(x$coords)[i_coord], " x:"))
    print(as.vector(x$coord[[i_coord]]))
  }
  for (i_coord in 1:length(y$coords)) {
    print(paste0("Coord ", names(y$coords)[i_coord], " y:"))
    print(as.vector(y$coord[[i_coord]]))
  }
}