####################################

####################################
# Functions to measure size

file.info("(path/file")

object.size(object_name)


# Chapter 1: names and vectors
install.packages("lobstr")
install.packages("pryr")

library(lobstr)
library(pryr)



x <- c(1,2,3)
mem_change(y <- x)


y <- x
obj_addr(x)

obj_addr(y)

# Chapter 7: Enviroments

library(rlang)

e1 <- env(
  a = FALSE,
  b = "a",
  c = 2.3,
  d = 1:3,
)

e1$d <- e1
env_print(e1)
env_names(e1)

identical(global_env(), current_env())

environment()
globalenv()

search()