



apply_mask <- function(mask, data) {
  res <- array(dim = dim(data))
  if (length(dim(mask)) == 2) {
    regions <- sort(unique(mask[which(mask != 0)]))
    for (m in regions) {
      res[which(mask == m)] <- mean(data[which(mask == m)])
    }
  } else if (length(dim(mask)) == 3) {
    for (m in 1:dim(mask)[1]) {
      res[which(mask[m,,] == 1)] <- mean(data[which(mask[m,,] == 1)])
    }
  }
  return(res)
}
