library(pryr)
f1 <- function() {
  x <- 1:1e6
  10
}
mem_change(x <- f1())
#> 432 B
object_size(x)
#> 56 B

f2 <- function() {
  x <- 1:1e6
  a ~ b
}
mem_change(y <- f2())
#> 880 B
object_size(y)
#> 4 MB

f3 <- function() {
  x <- 1:1e6
  function() 10
}
mem_change(z <- f3())
#> 592 B
object_size(z)
#> 4.01 MB

mem_used()

mem_change({
  source("/esarchive/scratch/erifarov/git/startR/tests/testthat/test-AddStep-DimNames.R")
})