library(testthat)
library(parallel)
num_cores <- detectCores()
cl <- makeCluster(num_cores)
clusterEvalQ(cl, {
  library(testthat)
})
parLapply(cl, 1:length(test_files), function(i) {
  test_file <- test_files[i]
  test_package(test_file)
})
stopCluster(cl)

#-----------------------------------------------
# source tests
filepath <- "/esarchive/scratch/erifarov/git/startR/tests/testthat/"
f <- list.files(filepath)  
ff <- lapply(f, function(x) paste0(filepath, x))  

lapply(seq_along(ff)[1:20], function(k) {
  print(k)
  print(ff[[k]])
  mem_result <- mem_change(source(ff[[k]]))
  print(mem_result)
})